OpenVDB 5.1.0

Public Types | List of all members
DSConverter< DenseType, TreeType > Struct Template Reference

`#include <DenseSparseTools.h>`

## Public Types
typedef DenseType::ValueType | ValueType
typedef TreeType::template ValueConverter< ValueType >::Type | Type

## Detailed Description

### template<typename DenseType, typename TreeType>
struct openvdb::v5_1::tools::DSConverter< DenseType, TreeType >

This struct that aids template resolution of a new tree type has the same configuration at TreeType, but the ValueType from DenseType.

## Member Typedef Documentation

## ◆ Type

typedef TreeType::template ValueConverter<ValueType>::Type Type

## ◆ ValueType

typedef DenseType::ValueType ValueType

The documentation for this struct was generated from the following file:

- DenseSparseTools.h